{% extends "layouts/base.html" %}

{% block title %}
{{ title }}
{% endblock %}

{% block content %}
    <div class="container d-flex">
        <a class="btn btn btn-outline-secondary mb-2" href="/">←</a>
        {% if export_running %}
            <p> Generating export please be patient. </p>
        {% else %}
            <form action="/generate-user-export" method="post">
            <button onclick = "button()" type="submit" formmethod="post" class="btn btn btn-outline-primary mb-2">Generate</button>
                <span style = "display: none" id = "loading" class="spinner-border spinner-border-sm" role="status" aria-hidden="true"></span>
            </form>
        {% endif %}
        {% if timestamp %}
            <a class="btn btn btn-outline-secondary mb-2" href="/download-user-export">Download latest - {{timestamp}}</a>
        {% endif %}
    </div>
{% endblock %}

{% block javascripts %}
<script>
    function button(){
        const loadingbar = $("#loading")
        loadingbar.show()
    }
</script>
{% endblock %}